### Method

# GUsb Context save_with_tag

since: 0.4.1

#### Declaration

    gboolean
    g_usb_context_save_with_tag (
      GUsbContext* self,
      JsonBuilder* json_builder,
      const gchar* tag,
      GError** error
    )

#### Description

Saves any devices with a specified tag into an existing JSON builder.

Available since: 0.4.1

#### Parameters

`json_builder`

  Type: `JsonBuilder`

  A `JsonBuilder`.

  The data is owned by the caller of the function.

`tag`

  Type: `const gchar*`

  A string tag, e.g. `runtime-reload`, or `NULL`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.